org.keycloak.services.resources

## Class WelcomeResource

- java.lang.Object
- - org.keycloak.services.resources.WelcomeResource

-     @Path(value="/")
      public class WelcomeResource
      extends Object

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.ws.rs.core.HttpHeaders` | `headers`
    `protected static org.jboss.logging.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WelcomeResource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `createUser(javax.ws.rs.core.MultivaluedMap<String,String> formData)`
    `javax.ws.rs.core.Response` | `getResource(String path)` Resources for welcome page
    `javax.ws.rs.core.Response` | `getWelcomePage()` Welcome page of Keycloak

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

    - #### headers

          @Context
          protected javax.ws.rs.core.HttpHeaders headers

  - ### Constructor Detail

    - #### WelcomeResource

          public WelcomeResource()

  - ### Method Detail

    - #### getWelcomePage

          @GET
           @Produces(value="text/html; charset=utf-8")
          public javax.ws.rs.core.Response getWelcomePage()
                                                                                                     throws URISyntaxException

      Welcome page of Keycloak
      Returns:
      Throws:
        `URISyntaxException`

    - #### createUser

          @POST
           @Consumes(value="application/x-www-form-urlencoded")
           @Produces(value="text/html; charset=utf-8")
          public javax.ws.rs.core.Response createUser(javax.ws.rs.core.MultivaluedMap<String,String> formData)

    - #### getResource

          @GET
           @Path(value="/welcome-content/{path}")
           @Produces(value="text/html; charset=utf-8")
          public javax.ws.rs.core.Response getResource(@PathParam(value="path")
                                                                                                                                                 String path)

      Resources for welcome page
      Parameters:
        `path` -
      Returns:

Copyright © 2021 JBoss by Red Hat. All rights reserved.